var scheduleStatus = {
    settings: {
        ajaxUrl: ''
    },
    init: function() {
        scheduleStatus.initDataTable();
    },
    initDataTable: function() {

        var callBack = function() {
        };

        scheduleStatus.dataList = jQ('#scheduleStatus-datalist').DataTable({
            'processing': true,
            'serverSide': true,
            'ajax': {
                'url': scheduleStatus.settings.ajaxUrl,
                'data': function(d) {
                    d.url = global.settings.url;
                    d.status = jQ('#status').val();
                }
            },
            'deferRender': true,
            'columnDefs': [
                { 'orderable': false, 'targets': 5 },
                { 'searchable': false, 'targets': 5 }
            ],
            drawCallback: function() {
                callBack();
            },
            responsive: {
                details: {
                    renderer: function( api,rowIdx ) {
                        return global.dataTableResponsiveCallBack(api, rowIdx, callBack);
                    }
                }
            }
        });

        jQ('#status').on('change', function(){
            scheduleStatus.dataList.draw();
        });

        jQ('.content-container').removeClass('has-loading');
        jQ('.content-container-content').removeClass('hide');
    }
};